@keyframes mover {
  0% {
    transform: translateY(0); }
  100% {
    transform: translateY(-10px); } }

.topup {
  background: url("../static/images/background.jpg") top center no-repeat;
  width: 100%;
  height: 1950px;
  font-family: 'Kanit-Light'; }
  .topup__home {
    position: fixed;
    right: 1em;
    top: 50%; }
  .topup__head-account {
    background: rgba(0, 0, 0, 0.85);
    color: #fff;
    text-align: center;
    position: absolute;
    padding: 1em 1em;
    border-radius: 20px;
    right: 1em;
    top: 1em; }
  .topup__head {
    height: 100vh;
    min-height: 860px;
    position: relative; }
  .topup__head-title {
    height: 100%;
    display: flex;
    align-items: center; }
  .topup__scroll {
    position: absolute;
    bottom: 3em;
    text-align: center;
    left: 0;
    right: 0;
    margin-left: 0;
    margin-right: 0; }
    .topup__scroll > img {
      animation: mover 1s infinite alternate; }
  .topup__promotion-content {
    font-family: "Anakotmai-Medium",serif;
    background: url("../static/images/bg_condition.png") top center no-repeat;
    width: 967px;
    height: 464px;
    display: block;
    margin: 0 auto 2em;
    padding: 2em 0em; }
  .topup__title {
    position: absolute;
    left: 50%;
    transform: translate3d(-50%, -50%, 0);
    display: block;
    text-align: center; }
  .topup__promotion-list {
    margin: 0;
    padding: 1em 5em;
    list-style-type: none; }
    .topup__promotion-list li {
      color: #FFFFFF;
      display: flex;
      justify-content: flex-start;
      align-items: flex-start;
      vertical-align: middle;
      margin: 0.7em 0px; }
      .topup__promotion-list li img {
        margin-right: 1em; }
  .topup__redeem-content {
    font-family: "Anakotmai-Medium",serif;
    background: url("../static/images/bg_reward.png") top center no-repeat;
    width: 967px;
    height: 464px;
    margin: 0 auto;
    padding: 0 0;
    display: flex;
    justify-content: center;
    align-items: center; }
  .topup__redeem-score {
    position: relative; }
  .topup__character {
    margin: -65px 25px 0;
    display: inline-block;
    vertical-align: middle; }
  .topup__inline {
    display: inline-block;
    vertical-align: middle; }
    .topup__inline img {
      max-width: 100%; }
    .topup__inline--absolute {
      position: absolute;
      text-align: center;
      right: 0;
      width: 50%;
      top: 5em; }
  .topup__fashion {
    margin: 3em auto 0;
    display: block;
    text-align: center; }
  .topup__btns {
    background: url("../static/images/btn_redeem.png") top center no-repeat;
    width: 186px;
    height: 43px;
    display: block;
    margin: 1em auto;
    cursor: pointer; }
    .topup__btns.condition {
      background-position: 0 -43px;
      pointer-events: none; }
    .topup__btns.redeem {
      background-position: 0 -86px;
      pointer-events: none; }
  .topup__redeem-blog {
    display: inline-block;
    vertical-align: middle;
    text-align: center;
    margin: 1em auto; }
    .topup__redeem-blog--3 {
      width: 33%; }
    .topup__redeem-blog--2 {
      width: 50%; }
    .topup__redeem-blog--inner {
      margin: 0 .5em; }

.redeemslot {
  display: inline-block;
  position: relative; }
  .redeemslot__image {
    display: block;
    position: relative; }
  .redeemslot__count {
    color: #d98625;
    text-align: center;
    border: 2px solid #d98625;
    border-radius: 50px;
    position: absolute;
    left: 50%;
    bottom: 30px;
    transform: translate3d(-50%, 0, 0);
    font-size: 13px;
    line-height: 1.4em;
    padding: 0.2em 0px;
    width: 110px; }
    .redeemslot__count span {
      font-size: 20px; }
  .redeemslot__button {
    margin: 0px auto;
    background: url("../static/images/button_receive.png") no-repeat;
    background-position: bottom center;
    display: block;
    width: 181px;
    height: 58px; }
    .redeemslot__button--1 {
      background-position: top left; }
      .redeemslot__button--1:hover {
        background-position: bottom left; }
    .redeemslot__button--2 {
      background-position: top center; }
    .redeemslot__button--3 {
      background-position: top right; }

.modal {
  position: fixed;
  display: flex;
  z-index: 90;
  padding: 0px;
  margin: 0px auto;
  top: 0px;
  left: 0px;
  width: 100%;
  min-height: 100vh;
  height: 100%;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  transition: all 200ms ease-in;
  font-family: 'Kanit-Light'; }
  .modal.close {
    display: none !important; }
  .modal__content {
    z-index: 2;
    position: relative;
    background: url("../static/images/popup.png") top center no-repeat;
    font-size: 28px;
    color: white;
    padding: 0;
    width: 349px;
    height: 386px; }
    .modal__content--full {
      width: calc(96% - 20px - 20px);
      height: calc(96% - 20px - 20px); }
    .modal__content--height {
      height: auto;
      min-height: 300px; }
    .modal__content.loading {
      z-index: 999; }
  .modal__incontent {
    width: 90%;
    text-align: center;
    line-height: 1.5em;
    margin: 122px auto 0px;
    color: #f9a665; }
    .modal__incontent--loading {
      font-size: 30px;
      margin-top: 70px; }
    .modal__incontent--message {
      font-size: 26px;
      margin-top: 20px; }
    .modal__incontent--confirmrandom {
      font-family: "Kanit-Light";
      font-size: 20px;
      margin-top: 30px; }
    .modal__incontent--selectcharacter {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--confirmredeem {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--reward-text {
      font-family: "Kanit-Bold";
      color: #000;
      font-size: 22px;
      margin-top: 10px;
      padding: 0 15px; }
  .modal__loading {
    display: flex;
    justify-content: center;
    align-items: center; }
  .modal__bottom {
    position: absolute;
    bottom: 0px;
    transform: translate3d(0px, 50%, 0px);
    width: 100%;
    text-align: center;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    overflow: hidden; }
  .modal__backdrop {
    z-index: 1;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0; }
    .modal__backdrop--white {
      background-color: rgba(255, 255, 255, 0.85); }
    .modal__backdrop--selectcharacter {
      width: 96% !important;
      height: 100% !important;
      left: 2% !important;
      border-radius: 30px; }
    .modal__backdrop--grey {
      background: rgba(163, 163, 163, 0.95); }
  .modal__selectcharacter {
    display: block;
    background-color: white;
    border: none;
    margin: 20px auto;
    width: 250px;
    height: 40px;
    line-height: 40px;
    color: #000;
    font-size: 30px;
    text-align: center;
    border-radius: 10px; }
  .modal__selectitemlist {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 10px; }
  .modal__selectitemslot {
    text-align: center; }
  .modal__button {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    width: 109px;
    height: 58px;
    margin: 0 .4em; }
    .modal__button--full {
      width: 100%; }
    .modal__button--ok {
      background: url("../static/images/btn_ok.png") top center no-repeat; }
      .modal__button--ok:hover {
        background-position: bottom center; }
    .modal__button--cancel {
      background: url("../static/images/btn_cancel.png") top center no-repeat; }
      .modal__button--cancel:hover {
        background-position: bottom center; }
  .modal__content-inner {
    color: #fff;
    text-align: center;
    width: 100%;
    margin: 0 auto;
    font-size: 18px;
    line-height: 1.4em; }
  .modal__redeemlist {
    padding: 0;
    margin: 0; }
    .modal__redeemlist li {
      display: block;
      text-align: left;
      line-height: 1em; }
      .modal__redeemlist li:before {
        content: "- ";
        display: inline-block;
        vertical-align: middle;
        margin-right: .5em; }

.formselect {
  margin: 0px auto; }
  .formselect label {
    position: relative;
    color: #fff;
    background-color: #626262;
    width: 240px;
    height: 26px;
    line-height: 26px;
    display: block;
    margin: 10px auto;
    padding: 5px;
    border-radius: 10px;
    overflow: hidden; }
    .formselect label:focus {
      outline: 0 none; }
  .formselect select {
    font-size: 20px;
    border: 0px;
    background: transparent;
    vertical-align: middle;
    width: 110%;
    left: 0;
    position: absolute;
    z-index: 1; }
    .formselect select:focus {
      outline: 0 none; }
  .formselect img {
    position: absolute;
    display: block;
    top: 50%;
    width: 24px;
    height: 21px;
    right: 0px;
    transform: translate(-50%, -50%);
    user-select: none; }

@font-face {
  font-family: "Kanit-Light";
  src: url("../static/fonts/Kanit-Light.eot");
  src: url("../static/fonts/Kanit-Light.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Light.woff") format("woff"), url("../static/fonts/Kanit-Light.ttf") format("truetype"), url("../static/fonts/Kanit-Light.svg#Kanit-Light") format("svg"); }

@font-face {
  font-family: "Anakotmai-Medium";
  src: url("../static/fonts/Anakotmai-Medium.eot");
  src: url("../static/fonts/Anakotmai-Medium.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Anakotmai-Medium.woff") format("woff"), url("../static/fonts/Anakotmai-Medium.ttf") format("truetype"), url("../static/fonts/Anakotmai-Medium.svg#Anakotmai-Medium") format("svg"); }

@font-face {
  font-family: "Anakotmai-Light";
  src: url("../static/fonts/Anakotmai-Light.eot");
  src: url("../static/fonts/Anakotmai-Light.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Anakotmai-Light.woff") format("woff"), url("../static/fonts/Anakotmai-Light.ttf") format("truetype"), url("../static/fonts/Anakotmai-Light.svg#Anakotmai-Light") format("svg"); }

@font-face {
  font-family: "Anakotmai-Bold";
  src: url("../static/fonts/Anakotmai-Bold.eot");
  src: url("../static/fonts/Anakotmai-Bold.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Anakotmai-Bold.woff") format("woff"), url("../static/fonts/Anakotmai-Bold.ttf") format("truetype"), url("../static/fonts/Anakotmai-Bold.svg#Anakotmai-Bold") format("svg"); }

body {
  padding: 0;
  margin: 0; }

h1, h2, h3, h4, h5, h6 {
  margin: 0; }

.events-bns {
  width: 1105px;
  height: 700px;
  font-size: 18px;
  position: relative;
  overflow: hidden; }
  .events-bns__bg {
    background: url("../static/images/background.jpg") top center no-repeat;
    width: 100%;
    height: 100%; }
  .events-bns__wrapper {
    width: 80%;
    margin: 0 auto;
    display: block;
    padding: 3em 0; }
  .events-bns__list {
    padding: 0;
    margin: 0; }
    .events-bns__list li {
      display: inline-block;
      margin-bottom: 1em;
      vertical-align: middle;
      width: 20%;
      text-align: center; }
      .events-bns__list li a {
        color: #fff;
        text-align: center;
        text-decoration: none;
        font-family: 'Kanit-Light';
        display: block;
        font-size: 1em;
        word-break: break-word; }
        .events-bns__list li a img {
          margin: 0 auto;
          display: block;
          text-align: center; }
  .events-bns__bottom {
    display: inline-block;
    vertical-align: middle;
    padding: 2em;
    bottom: 1em;
    position: absolute;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    width: 35%;
    border-radius: 1em;
    background: rgba(255, 255, 255, 0.85); }
  .events-bns__bottom-list {
    padding: 0;
    margin: 0 auto;
    text-align: center; }
    .events-bns__bottom-list li {
      display: inline-block;
      vertical-align: middle;
      text-align: center;
      margin: 0 1em; }
      .events-bns__bottom-list li a {
        display: block; }
        .events-bns__bottom-list li a img {
          margin: 0 auto;
          text-align: center;
          display: block; }

.events-bns-slide__dot {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  right: 0;
  text-align: center; }
  .events-bns-slide__dot .swiper-pagination-bullet {
    background: #fff;
    opacity: 0.55; }
  .events-bns-slide__dot .swiper-pagination-bullet-active {
    background: #fff;
    opacity: 1; }
